ubuntu6.10不能编译啊

为当前最终发行版之前的所有版本提供支持
回复
atnet
帖子: 125
注册时间: 2006-12-02 8:58
送出感谢: 0
接收感谢: 0
联系:

ubuntu6.10不能编译啊

#1

帖子 atnet » 2006-12-06 12:58

我就写一个这样的文件

#include <stdio.h>
int main()
{
printf("ubuntu");
return 0
}

保存为myc.c
然后 gcc myc.c -o myc
它提示说找不到XXXX.so.XXX
不能编译,这什么问题啊,gcc都不能用,make也没有用,那还拿它来干什么?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2006-12-06 13:21

看wiki
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 zhuqin_83 » 2006-12-06 14:04

编译环境装了没?
sudo apt-get install build-essential
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
atnet
帖子: 125
注册时间: 2006-12-02 8:58
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 atnet » 2006-12-06 14:36

我上不了网啊,难道上不了网就用不了ubuntu
顺带问一下,如果安装DVD ubuntu是不是这些东西,比如内核啊,驱动啊,编译环境啊,都装上了啊?
dayfree
帖子: 63
注册时间: 2006-11-09 21:31
送出感谢: 0
接收感谢: 0

#5

帖子 dayfree » 2006-12-06 15:21

上不了望还是用dvd的吧以前用fc的时候就是完全安装的,里面什么都有,用来入门学习正好
atnet
帖子: 125
注册时间: 2006-12-02 8:58
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 atnet » 2006-12-07 12:28

DVD版ubuntu和dubuntu哪个好用?
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

Re: ubuntu6.10不能编译啊

#7

帖子 stlxv » 2006-12-07 13:56

atnet 写了:我就写一个这样的文件

#include <stdio.h>
int main()
{
printf("ubuntu");
return 0
}

保存为myc.c
然后 gcc myc.c -o myc
它提示说找不到XXXX.so.XXX
不能编译,这什么问题啊,gcc都不能用,make也没有用,那还拿它来干什么?
语法错误,即使你装了gcc照样编译通不过

P.S.兄弟不会看屏幕显示的文字吗?
PHP是最好的语言!不服来战!
lisir
帖子: 1187
注册时间: 2006-04-29 14:54
来自: 山东
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 lisir » 2006-12-07 14:44

return 0;

是不是这里少了一个分号啊?
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知
atnet
帖子: 125
注册时间: 2006-12-02 8:58
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 atnet » 2006-12-07 16:43

哎呀,上面的这么吧重点转移盗这里啦,这是我发帖时漏了,我关键是说,默认情况下不能编译,就算加了分号也一样,对吗,大家默认安装是能编译吗?
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 karron » 2006-12-07 17:32

ubuntu的目标是针对普通用户,所以默认没有安装编译环境.

但是诸如 build-essential 这样的包其实在安装光盘里面就带了.什么 gcc g++ make,这个包里面就有.把你的安装光盘插入光驱,然后在新立得里面把光盘作为源,就可以安装了.

当然,最好是DVD的光盘,软件要多些.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
回复

回到 “老旧版本支持”